package giardini.orto;

import java.util.*;

public class Vite
extends giardini.PiantaDaBordura
{
	static final double hMax = 1.0;
	private static double lca;
	private static double lcf;
	private static double lminS;
	private static double lmaxS;
	private static double lsup;
	private static double lhc;

	public Vite(double ca, double cf, double minS, double maxS, double sup, double hc)
	{
		super(ca, cf, minS, maxS, sup, hc);
	}

	public Vite()
	{
		//chiama comunque, anche se non lo esplicito, il costruttore della classe madre
		//super();

		this(lca, lcf, lminS, lmaxS, lsup, lhc);
	}

	public double getHMax()
	{
		return hMax;
	}

	protected double setHMax(double hm)
	//double setHMax(double hm)
	{
		throw new UnsupportedOperationException("Non si puo' cambiare l'altezza massima della vite!");
	}

	public String toString()
	{
		String retval = super.toString() + "; ";
		retval = retval.concat("Acqua: " + getConsumoAcqua() + "; Fertilizzante: " + getConsumoFertilizzante() + "; sole: " + getMinSole() + "; SOLE: " + getMaxSole() + "; superficie: " + getSuperficie() + "; h corrente: " + getHCorrente() + "; H Max: " + getHMax());
		return retval;
	}

	static
	{
		String dati = giardini.Pianta.getInitData("giardini.orto.Vite");
		Scanner s = new Scanner(dati);
		s.useDelimiter(", ");
		String line = s.next();
		System.out.println(line);
		lca = Double.parseDouble(line);
		line = s.next();
		System.out.println(line);
		lcf = Double.parseDouble(line);

		line = s.next();
		System.out.println(line);
		lminS = Double.parseDouble(line);

		line = s.next();
		System.out.println(line);
		lmaxS = Double.parseDouble(line);

		line = s.next();
		System.out.println(line);
		lsup = Double.parseDouble(line);

		line = s.next();
		System.out.println(line);
		lhc = Double.parseDouble(line);
	}
}
