package rubrica;
import java.util.*;

public class NominativoPrimaNome
implements Nominativo
{
	private String nome, cognome;
	List<Recapito> recapiti;

	public NominativoPrimaNome(String ilNome, String ilCognome)
	{
		nome = ilNome;
		cognome = ilCognome;
		recapiti = new LinkedList<Recapito>();
	}

	public String getNome()
	{
		return nome;
	}

	public String getCognome()
	{
		return cognome;
	}

	public String toString()
	{
		return nome + " " + cognome;
	}

	public List<Recapito> getRecapiti()
	{
		return recapiti;
	}

	public boolean equals(Object o)
	{
		assert (o instanceof Nominativo);

		if(! (o instanceof Nominativo))
		{
			return false;
		}
		Nominativo n = (Nominativo)o;
		return ( nome.equals(n.getNome()) && cognome.equals(n.getCognome()));
	}
}
